package com.ebei.device.asset.weixin;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@Slf4j
@EnableTransactionManagement
@EnableScheduling
@EnableAsync
public class DeviceAssetWeixinApplication {

    public static void main(String[] args) {
        SpringApplication.run(DeviceAssetWeixinApplication.class, args);
        log.info("---------->启动成功!!!<----------");
    }

}
